# Updates a recurring gift with the specified ID. This method will update an existing recurring gift with the specified ID. Endpoint: PUT /recurringGifts/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the recurring gift to update. ## Request fields (application/json): - `amount` (number, required) The total amount of the gift - `appeal_id` (string) The appeal - `campaign_id` (string) The campaign - `contact_id` (string, required) The rolodex contact id for the gift giver - `currency_code` (string) The currency code of the gift - `currency_symbol` (string) Currency - `date` (string, required) The initial date of the recurring gift - `donor_id` (string, required) The donor ID - `donor_type` (string, required) The donor type for the gift Enum: "contact", "organization" - `end_at` (string) The date at which this recurring gift should end - `frequency` (string, required) Enum: "annually", "monthly", "quarterly" - `fund_id` (string, required) The fund ID for this recurring gift - `id` (string, required) The ID of the target gift - `last_gift_id` (string) The last gift created by this recurring gift - `last_processing_date` (string) The last time this recurring gift was processed - `next_gift_date` (string, required) The next date that this should be gift should be processed - `notes` (string) Notes for the recurring gift - `number` (number) The recurring gift # - `order_id` (string, required) The originating gift order - `organization_id` (string, required) The organization id associated with this gift - `payment_info` (object) Payment information for the recurring gift - `payment_info.card_expiration` (string) The expiration date of the card - `payment_info.card_type` (string) The type of card being used, or CHECK if electronic check Enum: "american express", "discover", "electronic check", "mastercard", "other", "visa" - `payment_info.merchant_account_tokens` (array) - `payment_info.merchant_account_tokens.merchant_account_id` (string, required) The merchant account id - `payment_info.merchant_account_tokens.token` (string, required) The token representing the card/electronic check info - `payment_info.payment_account` (string) The masked payment account information - `payment_info.payment_origin` (string, required) Whether or not this is a saved payment method Enum: "ad hoc", "saved", "single token" - `payment_info.token` (string) For integrated payments, the single token - `payment_info.type` (string, required) The type of payment Enum: "credit card", "electronic check" - `status` (string) Enum: "active", "cancelled", "completed", "payment error", "suspended" - `suspended_until` (string) If suspended, the date at which the suspension should be lifted - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `total_amount_given` (number) The total amount given in this recurring gift - `total_number_of_gifts` (number) The total amount number of gifts given in this recurring gift ## Response 200 fields (application/json): - `amount` (number, required) The total amount of the gift - `appeal_id` (string) The appeal - `campaign_id` (string) The campaign - `contact_id` (string, required) The rolodex contact id for the gift giver - `currency_code` (string) The currency code of the gift - `currency_symbol` (string) Currency - `date` (string, required) The initial date of the recurring gift - `donor_id` (string, required) The donor ID - `donor_type` (string, required) The donor type for the gift Enum: "contact", "organization" - `end_at` (string) The date at which this recurring gift should end - `frequency` (string, required) Enum: "annually", "monthly", "quarterly" - `fund_id` (string, required) The fund ID for this recurring gift - `id` (string, required) The ID of the target gift - `last_gift_id` (string) The last gift created by this recurring gift - `last_processing_date` (string) The last time this recurring gift was processed - `next_gift_date` (string, required) The next date that this should be gift should be processed - `notes` (string) Notes for the recurring gift - `number` (number) The recurring gift # - `order_id` (string, required) The originating gift order - `organization_id` (string, required) The organization id associated with this gift - `payment_info` (object) Payment information for the recurring gift - `payment_info.card_expiration` (string) The expiration date of the card - `payment_info.card_type` (string) The type of card being used, or CHECK if electronic check Enum: "american express", "discover", "electronic check", "mastercard", "other", "visa" - `payment_info.merchant_account_tokens` (array) - `payment_info.merchant_account_tokens.merchant_account_id` (string, required) The merchant account id - `payment_info.merchant_account_tokens.token` (string, required) The token representing the card/electronic check info - `payment_info.payment_account` (string) The masked payment account information - `payment_info.payment_origin` (string, required) Whether or not this is a saved payment method Enum: "ad hoc", "saved", "single token" - `payment_info.token` (string) For integrated payments, the single token - `payment_info.type` (string, required) The type of payment Enum: "credit card", "electronic check" - `status` (string) Enum: "active", "cancelled", "completed", "payment error", "suspended" - `suspended_until` (string) If suspended, the date at which the suspension should be lifted - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `total_amount_given` (number) The total amount given in this recurring gift - `total_number_of_gifts` (number) The total amount number of gifts given in this recurring gift ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields